⌘K

Sora 2 Pro

vtrix-sora-2-pro

Sora 2 Pro provides enhanced video generation capabilities with professional-grade quality and advanced creative control.

Authentication

authorization string required

All APIs require authentication via Bearer Token.

Get API Key:

Visit API Key Management Page to get your API Key

Usage:

Add to request header:

Authorization: Bearer YOUR_API_KEY

Parameters

model string required

Model ID to use for the request.

Value: vtrix-sora-2-pro


prompt string required

Video generation prompt describing the desired scene


seconds string

Video duration in seconds

Options: 4, 8


size string

Video resolution

Options: 720x1280, 1280x720


Polling

Since result generation takes time, you need to poll the task status after creating the task.

The initial response only returns information such as the task ID and initial status. The final result must be obtained by polling the task status endpoint using the task ID.

See the examples on the right for polling requests and responses.

Response Format

id string required

Task ID


created_at integer required

Task creation timestamp


status string required

Task status

Options: in_progress, completed, failed


model string required

Model ID


progress number

Progress (0.0-1.0), only present when status is in_progress


error object

Error information, only present when status is failed

code string

Error code

message string

Error message


output array

Generation results, only present when status is completed

content array

Content array

type string

Content type: video

url string

Video URL

duration integer

Video duration in seconds

jobId string

Remote job ID


usage object

Usage information


metadata object

Metadata including timing information


Error Codes

Error CodeDescription
002014001Video generation failed